<app-menu></app-menu>

<div class="container">
  <div class="row">
    <mat-toolbar color="primary">
      <span>Registra Sala</span>
    </mat-toolbar>
  </div>

  <div class="row" style="margin-top: 3%">

    <mat-form-field class="col-md-4">
      <mat-label>Numero de Aula</mat-label>
      <input matInput [(ngModel)] ="sala.numero" />
    </mat-form-field>

    <mat-form-field class="col-md-4">
      <mat-label>Piso</mat-label>
      <input matInput [(ngModel)] ="sala.piso" />
    </mat-form-field>

    <mat-form-field class="col-md-4">
        <mat-label>Cantidad de alumnos</mat-label>
        <input matInput [(ngModel)] ="sala.numAlumnos" />
      </mat-form-field>
  
      <mat-form-field class="col-md-4">
        <mat-label>Recurso</mat-label>
        <input matInput [(ngModel)] ="sala.recursos" />
      </mat-form-field>

    <mat-form-field class="col-md-4">
      <mat-label>Tipo de Sala</mat-label>
      <mat-select [(ngModel)]="sala.tipoSala!.idDataCatalogo" name="tiposala">
        <mat-option value="-1"> [Seleccione] </mat-option>
        <mat-option *ngFor="let x of lstSala" [value]="x.idDataCatalogo">
                {{x.descripcion}}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field class="col-md-4">
      <mat-label>Sede</mat-label>
      <mat-select [(ngModel)]="sala.sede!.idDataCatalogo" name="tiposede">
        <mat-option value="-1">[Seleccione]</mat-option>
        <mat-option *ngFor="let x of lstSede" [value]="x.idDataCatalogo">
                {{x.descripcion}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div class="row">
    <button mat-raised-button type="button" color="primary" (click)="registra()">Registra</button>
  </div>
</div>
